<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Fragments/ClassHierarchySimple/ClassHierarchySimple.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Fragments.ClassHierarchySimple.ClassHierarchySimple</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Fragments.html" >Fragments</a>.<a href="../ClassHierarchySimple.html" >ClassHierarchySimple</a>
</div><div class="class-name">class ClassHierarchySimple

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Fragments/ClassHierarchySimple.py.html" target="detail">../Synopsis/Formatters/HTML/Fragments/ClassHierarchySimple.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.ClassHierarchySimple.ClassHierarchySimple" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/ClassHierarchySimple.py.html#line12" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="ClassHierarchySimple-inheritance" src="ClassHierarchySimple-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ClassHierarchySimple-inheritance_map" />
<map name="ClassHierarchySimple-inheritance_map"></map>
 <div class="doc">Prints a simple text hierarchy for classes</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="format_class_template">format_class_template</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/ClassHierarchySimple.py.html#line37" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_inheritance">format_inheritance</a>(<span class="variable">self</span>, <span class="variable">inheritance</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.ClassHierarchySimple.ClassHierarchySimple.format_inheritance" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/ClassHierarchySimple.py.html#line15" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_class">format_class</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.ClassHierarchySimple.ClassHierarchySimple.format_class" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/ClassHierarchySimple.py.html#line20" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:09 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
